List coaches for user
List active coaches for a user connected to your external service. Only coaches also connected to your external service are returned.
Path Parameters
Wingfield user identifier.
uuidQuery Parameters
Number of items to skip.
00 <= valueMaximum number of items to return.
501 <= value <= 100Response
200Error Responses
invalid_schema
Request validation failed.
missing_api_token
No authentication token provided.
invalid_api_token
Invalid or expired authentication token.
scope_permission_denied
Insufficient permissions for this operation.
user_access_denied
Service is not granted access to the user.
curl -X GET "https://dev.wingfield.systems/api/v1/users/497f6eca-6276-4993-bfeb-53cbbbba6f08/coaches"{
"items": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"firstName": "string",
"lastName": "string",
"birthday": "2019-08-24T14:15:22Z",
"gender": "MALE",
"mainSportType": "TENNIS",
"playingHand": "LEFT"
}
],
"totalCount": 0
}{
"error": {
"type": "invalid_schema",
"message": "string",
"issues": [
{}
]
}
}{
"error": {
"type": "missing_api_token",
"message": "string"
}
}{
"error": {
"type": "scope_permission_denied",
"message": "string"
}
}List coachees for user GET
List active coachees for a user connected to your external service. Only coachees also connected to your external service are returned.
Create user POST
Create a new user account and automatically link it to your service. Users created through this endpoint are managed by your service.